BATCHES
Create a render batch
Queue up to 50 renders in one request.
post
/api/v1/renders/batchQueue up to 50 renders in one request.
AuthorizationBearer <token>
API key as Authorization: Bearer <key>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/renders/batch" \ -H "Content-Type: application/json" \ -d '{ "jobs": [ { "template": "c3626dec-4d20-403b-8544-4d2438fcffdb", "format": "png", "layers": { "headline": { "text": "A" } } }, { "template": "c3626dec-4d20-403b-8544-4d2438fcffdb", "format": "jpg", "layers": { "headline": { "text": "B" } } } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "jobs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued" } ]}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}